<?php
	#####fechas
	function fecha($fecha){
		$meses = array("ENE","FEB","MAR","ABR","MAY","JUN","JUL","AGO","SEP","OCT","NOV","DIC");
		$a=substr($fecha, 0, 4); 	
		$m=substr($fecha, 5, 2); 
		$d=substr($fecha, 8);
		return $d." / ".$meses[$m-1]." / ".$a;
	}
	#####formato de estados
	function estado($estado){
		if($estado=='s'){
			return '<span class="label label-success">Activo</span>';
		}else{
			return '<span class="label label-important">No Activo</span>';
		}
	}
	function check($var){
		if(isset($var)){
			return "0";
			}
			else{
			return $var;
			}
	}
	function verfecha($fechaini,$fechafin,$fecha){
		if($fecha<=$fechafin and $fecha>=$fechaini){
			return $fecha;
		}
		else{
			return "-";
		}
	}
	/*function caledad($fechanac){
		list($Y,$m,$d) = explode("-",$fechanac);
    	return( date("md") < $m.$d ? date("Y")-$Y-1 : date("Y")-$Y );
	}*/
	function calculaedad($fechanacimiento){
	list($ano,$mes,$dia) = explode("-",$fechanacimiento);
	$ano_diferencia  = date("Y") - $ano;
	$mes_diferencia = date("m") - $mes;
	$dia_diferencia   = date("d") - $dia;
	if ($dia_diferencia < 0 || $mes_diferencia < 0){
		$ano_diferencia--;
	}
	return $ano_diferencia;
	}
	function calcular($fechanac){
	$fecha = strtotime($fechanac);
	$edad = floor($fecha/(60*60*24*365));
	return $edad;
	}
	function datosgrupo($con, $id,$campo){
	$ValorRetorna = "";
		$sql = "SELECT ".$campo." FROM examenes_grupo WHERE id=".$id;
		$rs  = mysqli_query($con, $sql);
		if(mysqli_num_rows($rs)!=0){
			$row = mysqli_fetch_array($rs);
			$ValorRetorna = $row[0];
		}
		return $ValorRetorna;
	}
	function datosarea($con, $id,$campo){
		$ValorRetorna = "";
			$sql = "SELECT ".$campo." FROM areas WHERE id=".$id;
			$rs  = mysqli_query($con, $sql);
			if(mysqli_num_rows($rs)!=0){
				$row = mysqli_fetch_array($rs);
				$ValorRetorna = $row[0];
			}
			return $ValorRetorna;
	}
	function datosppt($con, $id,$campo){
		$ValorRetorna = "";
			$sql = "SELECT ".$campo." FROM perfil_protocolo_tipo WHERE id='".$id."'";
			$rs  = mysqli_query($con, $sql);
			if(mysqli_num_rows($rs)!=0){
				$row = mysqli_fetch_array($rs);
				$ValorRetorna = $row[0];
			}
			return $ValorRetorna;
	}
	function checkperfil($checkperfil){
		$cadenaretunr="";
		if(!empty($checkperfil)){
			$cadenaretunr=implode(",",$checkperfil);
		}else{
			$cadenaretunr="";
		}
		return $cadenaretunr;
	}
	function convarray($arraysintomas){
		$strsintomas = '';
		foreach ($arraysintomas as $id){
			$s = ',';
			if($strsintomas == ''){
				$strsintomas =$id;
			}else{
				$strsintomas .= $s.$id;
			}
		}
		echo $strsintomas;
	}
	function examenesvarios($con, $stringexamenes,$grupo){
		$retornavarios='';
		$queryexamenesvarios=mysqli_query($con, "SELECT id,nombre_examen FROM examenes WHERE idgrupo='".$grupo."'");
		$arrayexamenes=explode(',',$stringexamenes);
		while($datagrupo=mysqli_fetch_array($queryexamenesvarios)){
			if(in_array($datagrupo['id'],$arrayexamenes)){
				$retornavarios.=$datagrupo['nombre_examen'].',';
			}else{
				$retornavarios.='';
			}
		}
		return $retornavarios;
	}
	function examenunico($con, $examen){
		$queryexamenunico=mysqli_query($con, "SELECT nombre_examen FROM examenes WHERE id=$examen");
		$dataunico=mysqli_fetch_array($queryexamenunico);
		return $dataunico[0];
	}
	function datosperfil($con, $idperfil, $tipo){
		$queryperfileva=mysqli_query($con, "SELECT * FROM perfil_evaluacion WHERE id=$idperfil");
		$dataperfileva=mysqli_fetch_array($queryperfileva);
		if($tipo==1){
			return perfilprottipo($con, $dataperfileva['idprotocolo']);
		}else if($tipo==2){
			return perfilprottipo($con, $dataperfileva['idtipo']);
		}
	}
	function perfilprottipo($con, $id){
		$queryperfilprottipo=mysqli_query($con, "SELECT nombreppt FROM perfil_protocolo_tipo WHERE id=$id");
		$dataperfilprottipo=mysqli_fetch_array($queryperfilprottipo);
		return $dataperfilprottipo['nombreppt'];
	}
	function nombrecompleto($con, $numdoc){
		$querypaciente=mysqli_query($con, "SELECT apepaterno, apematerno, nombres FROM pacientes WHERE numdoc=$numdoc");
		$datapacente=mysqli_fetch_array($querypaciente);
			return $datapacente['apepaterno'].' '.$datapacente['apematerno'].' '.$datapacente['nombres'];
	}
	function datosempresa($con, $id,$campo){
		$queryempresas=mysqli_query($con, "SELECT ".$campo." FROM empresas WHERE id=$id");
		$dataempresas=mysqli_fetch_array($queryempresas);
		return $dataempresas[$campo];
	}
	function datospaciente($con, $id,$campo){
		$querypaciente=mysqli_query($con, "SELECT ".$campo." FROM principal_paciente WHERE id=$id");
		$datapaciente=mysqli_fetch_array($querypaciente);
		return $datapaciente[$campo];
	}
	function muestrapac($con,$cod){
		$querymuestra=mysqli_query($con,"SELECT * FROM tipo_muestra WHERE id=$cod");
		$datamuestra=mysqli_fetch_array($querymuestra);
		return $datamuestra[2];
	}
	function solicitaAreas($con, $arrayexamenes){
			$arrayareas=array();
			$queryareas=mysqli_query($con, "SELECT id,idarea FROM examenes");
			while($dataareas=mysqli_fetch_array($queryareas)){
				if(in_array($dataareas['id'],$arrayexamenes)){
					if(in_array($dataareas['idarea'],$arrayareas)){
						
					}else{
						array_push($arrayareas,$dataareas['idarea']);
					}
				}
			}
			return $arrayareas;
	}
	function grupoexamen($idgrupoexamen){
		if($idgrupoexamen==1){
			return "Histologico";
		}else{
			return "Citologico";
		}
	}
	function prefempresa($con,$idempresa){
		$queryempresa=mysqli_query($con,"SELECT * FROM empresa WHERE id=$idempresa");
		$dataempresa=mysqli_fetch_array($queryempresa);
		return $dataempresa[3];
	}
	function buscainformepac($con,$idpac){
		$queryinfpac=mysqli_query($con,"SELECT idpaciente FROM triaje WHERE idpaciente=$idpac LIMIT 1");
		$datainfpac=mysqli_fetch_array($queryinfpac);
		return $datainfpac[0];
	}
	function buscalabcovidpac($con,$idpac){
		$queryinfpac=mysqli_query($con,"SELECT idpaciente FROM laboratoriocovid WHERE idpaciente=$idpac LIMIT 1");
		$datainfpac=mysqli_fetch_array($queryinfpac);
		return $datainfpac[0];
	}
	function buscaexamenmedico($con,$idpac){
		$queryinfpac=mysqli_query($con,"SELECT idpaciente FROM examenmedico WHERE idpaciente=$idpac LIMIT 1");
		$datainfpac=mysqli_fetch_array($queryinfpac);
		return $datainfpac[0];
	}
	function six($sn){
		if($sn=="si"){
			$sbold='<span style="color:red;font-weight: bold;"> X</span>';
		}else{
			$sbold='';
		}
		return $sbold;
	}
	function nox($nn){
		if($nn=="no"){
			$nbold='<span style="color:red;font-weight: bold;"> X</span>';
		}else{
			$nbold='';
		}
		return $nbold;
	}
	function buscahistologicopac($con,$idpac){
		$queryinfpac=mysqli_query($con,"SELECT id FROM histologia WHERE numdocpac=$idpac LIMIT 1");
		$datainfpac=mysqli_fetch_array($queryinfpac);
		return $datainfpac[0];
	}
	function nomempresa($con,$idemp){
		$querynomempresa=mysqli_query($con,"SELECT rs FROM empresa WHERE id=$idemp LIMIT 1");
		$datainfemp=mysqli_fetch_array($querynomempresa);
		return $datainfemp[0];
	}
	function codpaciente($cod,$codpaciente,$idempresa,$idexamen){
		if ($idempresa!=0) {
			$querypreempresa=mysqli_query($cod,"SELECT prefijo FROM empresa WHERE id=$idempresa");
			$datoempresa=mysqli_fetch_array($querypreempresa);
			if ($idexamen==1) {
				return $datoempresa[0].'Q'.$codpaciente;
			}elseif($idexamen==2){
				return $datoempresa[0].'C'.$codpaciente;
			}
		}else{
			return $codpaciente;
		}
	}
	function campoareas($id_area){
		switch ($id_area){
					case 1;
						$campo="medicina";
						break;
					case 2;
						$campo="triaje";
						break;
					case 3;
						$campo="odontologia";
						break;
					case 4;
						$campo="rayosx";
						break;
					case 5;
						$campo="audiometria";
						break;
					case 6;
						$campo="ecg";
						break;
					case 7;
						$campo="espirometria";
						break;
					case 8;
						$campo="laboratorio";
						break;
					case 9;
						$campo="eeg";
						break;
					case 10;
						$campo="oftalmologia";
						break;
					case 11;
						$campo="psicosomatico";
						break;
					case 12;
						$campo="psicologia";
						break;
					}
			return $campo;
	}
?>